import React from 'react';
import { PolymorphicProps, CommonProps, PolymorphicComponent, ExpandProps, PropsWithHTMLElement } from '@contentful/f36-core';

declare const LIST_DEFAULT_TAG = "ul";
interface ListInternalProps extends CommonProps {
    as?: 'ul' | 'ol';
    children?: React.ReactNode;
}
declare type ListProps<E extends React.ElementType = typeof LIST_DEFAULT_TAG> = PolymorphicProps<ListInternalProps, E>;
declare const List$1: PolymorphicComponent<ExpandProps<ListInternalProps>, typeof LIST_DEFAULT_TAG>;

declare type ListItemProps = PropsWithHTMLElement<CommonProps & {
    children?: React.ReactNode;
}, 'li'>;
declare const ListItem: {
    ({ className, children, testId, ...otherProps }: ListItemProps): React.ReactElement;
    displayName: string;
};

declare type CompoundList = typeof List$1 & {
    Item: typeof ListItem;
};
declare const List: CompoundList;

export { List, ListItem, ListItemProps, ListProps };
